/Users/bernard/b20/bsoft/src/model/model_map.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/model/model_map.cpp - Function to generate a map from a model.

SYNOPSIS

#include 'rwmodel.h'
#include 'model_transform.h'
#include 'model_extract_build.h'
#include 'rwimg.h'
#include 'mg_orient.h'
#include 'img_combine.h'
#include 'utilities.h'

  Functions
Bmodel * model_from_images (Bimage *plist)
Creates one or more models from 3D images.
Bimage * img_from_model (Bmodel *model, Vector3< double > ori, Vector3< long > size, Vector3< double > sam, double sigma)
Calculates a map from model component coordinates.
int model_catenate_maps (Bmodel *model, Bstring &filename)
Concatenates all model maps into one multi-image file.
int model_shell_fit (Bmodel *model, double hires, double lores, int neg)
Fits a shell model as a rigid body to a map.
int model_shell_radial_profile (Bmodel *model)
Calculates a radial profile from a shell model.
Bimage * model_shell_power_spectrum (Bmodel *model, Vector3< long > size, Vector3< double > origin, int ft_size, int ann_min, int ann_max, double hires, double lores)
Calculates a radial profile from a shell model.
int comp_set_fom_sym (Bcomponent *comp, Bimage *p, long minorder, long maxorder)
int model_component_symmetry (Bmodel *model, long nangles, long ann_min, long ann_max, long ann_width, long zmin, long zmax, long zinc, long minorder, long maxorder)
Determines the cyclic symmetry of components.

  Variables
int verbose

Detailed Description

Function to generate a map from a model.

Author:
    Bernard Heymann

Date:
    Created: 20081112

    Modified: 20160906

Definition in file model_map.cpp.

Function Documentation

  int comp_set_fom_sym (Bcomponent * comp, Bimage * p, long minorder, long maxorder)

Definition at line 532 of file model_map.cpp.

  Bimage* img_from_model (Bmodel * model, Vector3< double > ori, Vector3< long > size, Vector3< double > sam, double sigma)

Calculates a map from model component coordinates.

Parameters:
    *model model.
    ori origin within new map.
    size size of new map.
    sam voxel size of new map.
    sigma gaussian sphere width.

Returns:
    Bimage* new map.

Definition at line 59 of file model_map.cpp.

  int model_catenate_maps (Bmodel * model, Bstring & filename)

Concatenates all model maps into one multi-image file.

Parameters:
    *model model.
    &filename new map file name.

Returns:
    int 0.

    The model map file name must be set and point to a valid file.

Definition at line 158 of file model_map.cpp.

  int model_component_symmetry (Bmodel * model, long nangles, long ann_min, long ann_max, long ann_width, long zmin, long zmax, long zinc, long minorder, long maxorder)

Determines the cyclic symmetry of components.

Parameters:
    *model model parameters.
    nangles number of angles.
    ann_min minimum annulus.
    ann_max maximum annulus.
    ann_width annular width.
    zmin minimum z limit.
    zmax maximum z limit.
    zinc z increment.
    minorder minimum cyclic order to search for.
    maxorder maximum cyclic order to search for.

Returns:
    int 0.

Definition at line 618 of file model_map.cpp.

  Bmodel* model_from_images (Bimage * plist)

Creates one or more models from 3D images.

Parameters:
    *plist list of images.

Returns:
    Bmodel* new model.

    The model ID's are derived from the image filenames.

Definition at line 28 of file model_map.cpp.

  int model_shell_fit (Bmodel * model, double hires, double lores, int neg)

Fits a shell model as a rigid body to a map.

Parameters:
    *model model.
    hires high resolution limit.
    lores low resolution limit.
    neg flag to set contrast negative.

Returns:
    int 0.

    The model map file name must be set and point to a valid file.

Definition at line 192 of file model_map.cpp.

  Bimage* model_shell_power_spectrum (Bmodel * model, Vector3< long > size, Vector3< double > origin, int ft_size, int ann_min, int ann_max, double hires, double lores)

Calculates a radial profile from a shell model.

Parameters:
    *model model.
    size size of component density to extract.
    origin origin for extracted densities.
    ft_size Fourier transform size.
    ann_min minimum annulus for rotational alignment.
    ann_max maximum annulus for rotational alignment.
    hires high resolution limit for cross-correlation.
    lores low resolution limit for cross-correlation.

Returns:
    Bimage* 0.

    The model map file name must be set and point to a valid file.

Definition at line 344 of file model_map.cpp.

  int model_shell_radial_profile (Bmodel * model)

Calculates a radial profile from a shell model.

Parameters:
    *model model.

Returns:
    int 0.

    The model map file name must be set and point to a valid file.

Definition at line 240 of file model_map.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.